Sign Up

Sign Up to our social questions and Answers Engine to ask questions, answer people’s questions, and connect with other people.

Have an account? Sign In

Have an account? Sign In Now

Sign In

Login to our social questions & Answers Engine to ask questions answer people’s questions & connect with other people.

Sign Up Here

Forgot Password?

Don't have account, Sign Up Here

Forgot Password

Lost your password? Please enter your email address. You will receive a link and will create a new password via email.

Have an account? Sign In Now

You must login to ask a question.

Forgot Password?

Need An Account, Sign Up Here

Please briefly explain why you feel this question should be reported.

Please briefly explain why you feel this answer should be reported.

Please briefly explain why you feel this user should be reported.

Sign InSign Up

The Archive Base

The Archive Base Logo The Archive Base Logo

The Archive Base Navigation

  • SEARCH
  • Home
  • About Us
  • Blog
  • Contact Us
Search
Ask A Question

Mobile menu

Close
Ask a Question
  • Home
  • Add group
  • Groups page
  • Feed
  • User Profile
  • Communities
  • Questions
    • New Questions
    • Trending Questions
    • Must read Questions
    • Hot Questions
  • Polls
  • Tags
  • Badges
  • Buy Points
  • Users
  • Help
  • Buy Theme
  • SEARCH
Home/ Questions/Q 8971109
In Process

The Archive Base Latest Questions

Editorial Team
  • 0
Editorial Team
Asked: June 15, 20262026-06-15T17:52:34+00:00 2026-06-15T17:52:34+00:00

How can I tell if a git clone had an error in a bash

  • 0

How can I tell if a git clone had an error in a bash script?

git clone git@github.com:my-username/my-repo.git

If there was an error, I want to simply exit 1;

  • 1 1 Answer
  • 0 Views
  • 0 Followers
  • 0
Share
  • Facebook
  • Report

Leave an answer
Cancel reply

You must login to add an answer.

Forgot Password?

Need An Account, Sign Up Here

1 Answer

  • Voted
  • Oldest
  • Recent
  • Random
  1. Editorial Team
    Editorial Team
    2026-06-15T17:52:36+00:00Added an answer on June 15, 2026 at 5:52 pm

    Here are some common forms. Which is the best to choose depends on what you do. You can use any subset or combination of them in a single script without it being bad style.


    if ! failingcommand
    then
        echo >&2 message
        exit 1
    fi
    

    failingcommand
    ret=$?
    if ! test "$ret" -eq 0
    then
        echo >&2 "command failed with exit status $ret"
        exit 1
    fi
    

    failingcommand || exit "$?"
    

    failingcommand || { echo >&2 "failed with $?"; exit 1; }
    
    • 0
    • Reply
    • Share
      Share
      • Share on Facebook
      • Share on Twitter
      • Share on LinkedIn
      • Share on WhatsApp
      • Report

Sidebar

Related Questions

$ git clone ssh://host/repo.git ~/ destination directory '/home/username/' already exists. Can anyone tell me
Currently I am trying to clone this git repo: https://github.com/twilio/OpenVBX into my main repo,
In Git, during a merge, is there a way that we can tell git
How can I tell what version was present in a git repository at a
Does Git store text compressed with Gzip as binary files or can it tell
As far as I can tell, there is no API (official or unofficial) to
I feel like I tried everything to clone http://thechaw.com/source from git with no success.
I'm wondering if I can tell git to resolve conflicts by appending their code
I'm learning Git coming from Perforce. As far as I can tell you must
I often face this problem with git: I clone a git repo of some

Explore

  • Home
  • Add group
  • Groups page
  • Communities
  • Questions
    • New Questions
    • Trending Questions
    • Must read Questions
    • Hot Questions
  • Polls
  • Tags
  • Badges
  • Users
  • Help
  • SEARCH

Footer

© 2021 The Archive Base. All Rights Reserved
With Love by The Archive Base

Insert/edit link

Enter the destination URL

Or link to existing content

    No search term specified. Showing recent items. Search or use up and down arrow keys to select an item.